librelist archives

« back to archive

+Video on Shoes Policeman

+Video on Shoes Policeman

From:
ashbb
Date:
2010-07-31 @ 08:43
Hi all,

_why said that there would be a lot of work for video support with Ruby 1.9.
So, I've never tried to build Shoes Policeman with VIDEO option. But,....
really surprised! It works!! :-D

Although there are three restrictions:

- only Windows so far
- need NOLAYERED option for Windows XP
- using VideoLAN v0.8 (as same as Raisins, but a little bit old in the now)

If you have a Windows PC, download and install the latest Shoes:
http://shoes.heroku.com/downloads

And confirm built-in sample, simple-video.rb

Cheers,
ashbb

Re: [shoes] +Video on Shoes Policeman

From:
Devyn Cairns
Date:
2010-07-31 @ 08:46
Wow, this is great news! The video bindings probably need to be reworked
though, still. For newer VLC and Ruby and other platforms and all.

On Sat, Jul 31, 2010 at 1:43 AM, ashbb <ashbbb@gmail.com> wrote:

> Hi all,
>
> _why said that there would be a lot of work for video support with Ruby
> 1.9. So, I've never tried to build Shoes Policeman with VIDEO option.
> But,.... really surprised! It works!! :-D
>
> Although there are three restrictions:
>
> - only Windows so far
> - need NOLAYERED option for Windows XP
> - using VideoLAN v0.8 (as same as Raisins, but a little bit old in the now)
>
> If you have a Windows PC, download and install the latest Shoes:
> http://shoes.heroku.com/downloads
>
> And confirm built-in sample, simple-video.rb
>
> Cheers,
> ashbb
>



-- 
    ~devyn